OGRE-Next: Ogre::GLXContext Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GLXContext Class Referencefinal

`#include <OgreGLXContext.h>`

Inheritance diagram for Ogre::GLXContext:
[legend]

## Public Member Functions
| GLXContext (GLXGLSupport *glsupport, ::GLXFBConfig fbconfig, ::GLXDrawable drawable, ::GLXContext context=0)
| ~GLXContext () override
::GLXFBConfig | _getFbConfig () const
GL3PlusContext * | clone () const override
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
void | endCurrent () override
| This is called before another context is made current.
void | setCurrent () override
| Enable the context.
Public Member Functions inherited from Ogre::GL3PlusContext
| GL3PlusContext ()
virtual | ~GL3PlusContext ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()

## Public Attributes
::GLXContext | mContext
::GLXDrawable | mDrawable

## Constructor & Destructor Documentation

## ◆ GLXContext()

Ogre::GLXContext::GLXContext | ( | GLXGLSupport * | glsupport,
|  | ::GLXFBConfig | fbconfig,
|  | ::GLXDrawable | drawable,
|  | ::GLXContext | context = 0 )

References GLXContext().

Referenced by GLXContext().

## ◆ ~GLXContext()

Ogre::GLXContext::~GLXContext | ( |  | ) |
| override

## Member Function Documentation

## ◆ _getFbConfig()

::GLXFBConfig Ogre::GLXContext::_getFbConfig | ( |  | ) | const
| inline

## ◆ clone()

GL3PlusContext * Ogre::GLXContext::clone | ( |  | ) | const
| overridevirtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

References Ogre::GL3PlusContext::GL3PlusContext().

## ◆ endCurrent()

void Ogre::GLXContext::endCurrent | ( |  | ) |
| overridevirtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ setCurrent()

void Ogre::GLXContext::setCurrent | ( |  | ) |
| overridevirtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GL3PlusContext.

## Member Data Documentation

## ◆ mContext

::GLXContext Ogre::GLXContext::mContext

## ◆ mDrawable

::GLXDrawable Ogre::GLXContext::mDrawable

The documentation for this class was generated from the following file:

- OgreGLXContext.h